package com.inspect.base.websocket.configure;

import com.inspect.base.websocket.service.WsServer;
import javax.annotation.PostConstruct;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

@Component
public class WebSocketClient {
   protected final Logger log = LoggerFactory.getLogger(this.getClass());
   private static final int PORT = 9999;
   @PostConstruct
   public void init() {
      WsServer wsServer = new WsServer(PORT);
      log.info("[WEBSOCKET] ⭐⭐⭐Launched WebSocket Server⭐⭐⭐");
      wsServer.start();
   }
}
